Class dx2x
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.dx2x

public class dx2x
extends ej
take a list of intervals and generate a new list with a new origin
See Also:

  x2dx, ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
dx2x() create a dx2x object
dx2x(float f) create a dx2x object with specified origin

Method Summary
void | bang() re-trigger the calculation
void | inlet(float f) specify the origin of the serie
void | inlet(int i) specify the origin of the serie
void | list(double[] args) set the list of intervals, and trigger the calculation
void | set(double[] args) set the list of intervals whithout triggering the calculation

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
dx2x
public dx2x()

  create a dx2x object

dx2x
public dx2x(float f)

  create a dx2x object with specified origin
  Parameters:
    f - specify the origin value

Method Detail
bang
public void bang()

  re-trigger the calculation
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  specify the origin of the serie
  Overrides:
    inlet in class ej
  Parameters:
    i - if the value arrives in the rightmost inlet, it specify the origin.
    if the value arrives in the leftmost inlet, it specify the first interval (not the normal use)

inlet
public void inlet(float f)

  specify the origin of the serie
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the rightmost inlet, it specify the origin.
    if the value arrives in the leftmost inlet, it specify the first interval (not the normal use)

list
public void list(double[] args)

  set the list of intervals, and trigger the calculation
  Parameters:
    args - the list of intervals

set
public void set(double[] args)

  set the list of intervals whithout triggering the calculation
  Parameters:
    args - the list of intervals

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com